/*
 * $Source: /usr/local/cvsroot/erserver/erserver/java/src/com/postgres/replic/util/struct/SnapshotDataOld.java,v $
 * $Author: asullivan $ $Revision: 1.1.1.1 $ $Date: 2003/08/26 19:02:31 $
 *
 */

package com.postgres.replic.util.struct;

import java.util.*;

public class SnapshotDataOld {
    // Array list of SnapshotDataBlockOld objects:
    private ArrayList dataArray = new ArrayList();

    public void addBlock(SnapshotDataBlockOld data) {
         dataArray.add(data);
    }

    public SnapshotDataBlockOld getBlock(int i) {
         return (SnapshotDataBlockOld) dataArray.get(i);
    }

    public void removeBlock(int i) {
         dataArray.remove(i);
    }

    public int size() {
        return dataArray.size();
    }

    public void clear() {
        dataArray.clear();
    }

}
